# evennia.server.portal.mssp

MSSP - Mud Server Status Protocol

This implements the MSSP telnet protocol as per http://tintin.sourceforge.net/mssp/. MSSP allows web portals and listings to have their crawlers find the mud and automatically extract relevant information about it, such as genre, how many active players and so on.

class `evennia.server.portal.mssp.``Mssp`(protocol)

  Bases: `object`

  Implements the MSSP protocol. Add this to a variable on the telnet protocol to set it up.

  `__init__`(protocol)

    initialize MSSP by storing protocol on ourselves and calling the client to see if it supports MSSP.

    Parameters

      protocol (Protocol) – The active protocol instance.

  `get_player_count`()

    Get number of logged-in players.

    Returns

      count (int) – The number of players in the MUD.

  `get_uptime`()

    Get how long the portal has been online (reloads are not counted).

    Returns

      uptime (int) – Number of seconds of uptime.

  `no_mssp`(option)

    Called when mssp is not requested. This is the normal operation.

    Parameters

      option (Option) – Not used.

  `do_mssp`(option)

    Negotiate all the information.

    Parameters

      option (Option) – Not used.